### Hierarchy

- Selection

## Index

### Properties

- anchorNode
- anchorOffset
- baseNode
- baseOffset
- extentNode
- extentOffset
- focusNode
- focusOffset
- isCollapsed
- rangeCount
- type

### Methods

- addRange
- collapse
- collapseToEnd
- collapseToStart
- containsNode
- deleteFromDocument
- empty
- extend
- getRangeAt
- removeAllRanges
- removeRange
- selectAllChildren
- setBaseAndExtent
- setPosition
- toString

## Properties

### anchorNode

anchorNode: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14157

### anchorOffset

anchorOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14158

### baseNode

baseNode: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14159

### baseOffset

baseOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14160

### extentNode

extentNode: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14161

### extentOffset

extentOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14162

### focusNode

focusNode: Node

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14163

### focusOffset

focusOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14164

### isCollapsed

isCollapsed: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14165

### rangeCount

rangeCount: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14166

### type

type: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14167

## Methods

### addRange

- addRange(range: Range): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14168

  #### Parameters

  - ##### range: Range

  #### Returns void

### collapse

- collapse(parentNode: Node, offset: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14169

  #### Parameters

  - ##### parentNode: Node

  - ##### offset: number

  #### Returns void

### collapseToEnd

- collapseToEnd(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14170

  #### Returns void

### collapseToStart

- collapseToStart(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14171

  #### Returns void

### containsNode

- containsNode(node: Node, partlyContained: boolean): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14172

  #### Parameters

  - ##### node: Node

  - ##### partlyContained: boolean

  #### Returns boolean

### deleteFromDocument

- deleteFromDocument(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14173

  #### Returns void

### empty

- empty(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14174

  #### Returns void

### extend

- extend(newNode: Node, offset: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14175

  #### Parameters

  - ##### newNode: Node

  - ##### offset: number

  #### Returns void

### getRangeAt

- getRangeAt(index: number): Range

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14176

  #### Parameters

  - ##### index: number

  #### Returns Range

### removeAllRanges

- removeAllRanges(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14177

  #### Returns void

### removeRange

- removeRange(range: Range): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14178

  #### Parameters

  - ##### range: Range

  #### Returns void

### selectAllChildren

- selectAllChildren(parentNode: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14179

  #### Parameters

  - ##### parentNode: Node

  #### Returns void

### setBaseAndExtent

- setBaseAndExtent(baseNode: Node, baseOffset: number, extentNode: Node, extentOffset: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14180

  #### Parameters

  - ##### baseNode: Node

  - ##### baseOffset: number

  - ##### extentNode: Node

  - ##### extentOffset: number

  #### Returns void

### setPosition

- setPosition(parentNode: Node, offset: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14181

  #### Parameters

  - ##### parentNode: Node

  - ##### offset: number

  #### Returns void

### toString

- toString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14182

  #### Returns string

Generated using TypeDoc